{if $mite_enable == 1}

	<form method="post" id="mite_filters">

		<table class="stdForm noMargin" style="width:480px;" id="mite_filter">
			<tr>
		    	<td colspan="2" class="headline2"><h3>{'filterBy'|l}</h3></td>
		    </tr>
		    <tr class="row1">
		    	<td style="width:130px;"><label for="mite_customer" class="checkbox"><input type="checkbox" name="customer_checkbox" id="mite_customer" value="1" class="checkbox" /> {'customer'|l}</label></td>
		    	<td><div id="dropdown_mite_customer"></div></td>
		    </tr>
		    <tr>
		    	<td><label for="mite_project" class="checkbox"><input type="checkbox" name="project_checkbox" id="mite_project" value="1"  class="checkbox" /> {'project'|l}</label></td>
		    	<td><div id="dropdown_mite_project"></div></td>
		    </tr>
		    <tr class="row1">
		    	<td><label for="mite_service" class="checkbox"><input type="checkbox" name="service_checkbox" id="mite_service" value="1" class="checkbox" /> {'services'|l}</label></td>
		    	<td><div id="dropdown_mite_service"></div></td>		
		    </tr>
		    <tr>
		    	<td><label for="mite_user" class="checkbox"><input type="checkbox" name="user_checkbox" id="mite_user" value="1" class="checkbox" /> {'user'|l}</label></td>
		    	<td><div id="dropdown_mite_user"></div></td>
		    </tr>
		    <tr class="row1">
		    	<td><label for="mite_zeitraum" class="checkbox"><input type="checkbox" name="user_zeitraum" id="mite_zeitraum" value="1" class="checkbox" /> {'period'|l}</label></td>
		    	<td><div id="dropdown_mite_zeitraum"></div></td>
		    </tr>
		    <tr>
		    	<td><label for="mite_entrylocked" class="checkbox"><input type="checkbox" name="entry_locked" id="mite_entrylocked" value="1" class="checkbox" /> {'locked'|l}</label></td>
		    	<td><div id="dropdown_mite_entrylocked"></div></td>
		    </tr>				    
		</table>
		
		<table class="stdForm noMargin" style="width:480px;" id="mite_groups">
		    <tr>
		    	<td colspan="4" class="headline2"><h3>{'groupBy'|l}</h3></td>
		    </tr>
		    <tr class="row1">
		    	<td><label for="mite_customer_group" class="checkbox"><input type="checkbox" name="group_by_customer" id="mite_customer_group" value="customer"  class="checkbox" /> {'customer'|l}</label></td>
		    	<td><label for="mite_project_group" class="checkbox"><input type="checkbox" name="group_by_project" id="mite_project_group" value="project" class="checkbox" /> {'project'|l}</label></td>
		    	<td><label for="mite_service_group" class="checkbox"><input type="checkbox" name="group_by_service" id="mite_service_group" value="service" class="checkbox" /> {'service'|l}</label></td>
		    	<td><label for="mite_user_group" class="checkbox"><input type="checkbox" name="group_by_user" id="mite_user_group" value="user" /> {'user'|l}</label></td>
		    </tr>
		    <tr class="noBg">
		    	<td colspan="4"><input type="submit" value="{'btn_refreshList'|l}" name="submit" class="btn" /></td>
		    </tr>
		</table>

	</form>

	<br/><br/>

	<div id="mite_entries_list">
		<form method="post" id="mite_entries">
			{if $noCustomer != true}<input type="hidden" name="customerid2" id="mite_customer_id" value="{$loadCustomerId}" />{/if}
			<div id="mite_entries_content"></div>
		</form>
	</div>
	
{else}

	{'miteApiSettings'|l}
	{include file="core/partStandardForm.tpl" f=$content.mite_cfg l='btn_save'|l}
	
{/if}

{literal}
<script type="text/javascript">	
	$(document).ready(function(){

		/* mite */
		$('#mite_filters input[type=checkbox]:checked').attr('checked', false);
		$('#mite_filters').submit(function(e){
			e.preventDefault();
			if($('#mite_filters input[type=checkbox]:checked').length > 0){
				showMiteEntries('mite_filters');
			}
		});			
		$('#mite_entries').submit(function(e){
			if($('#mite_customer_id').length > 0 && !$('#mite_customer_id').val()){
				e.preventDefault();
				$('#customer').focus();
			} else if($('#mite_entries input[type=checkbox]:checked').length < 1){
				e.preventDefault();
			}
		});					
		$('#mite_filter input[type=checkbox]').click(function(){
			var filterId = $(this).attr('id');
			if($(this).attr('checked')){
                showMiteDropDown(filterId);
			} else{
				$('#dropdown_'+filterId).empty();
			}
		});
		
	});
	
	$('body').bind('gsalesAjaxSuccess', function(e){
		
		/* mite */
		$('#mite_entries_content .defaultCurrency').text(currencySymbol);
		
	});
</script>
{/literal}