<html>

<head>
	<style>
		{literal}

			/*
			SCHRIFTART
			*/

			body {
				font-family: Arial;
			}

			/*
			SCHRIFTGRößEN
			*/

			.text-mini-sender {
				font-size:7pt;
			}

			.text-recipient {
				font-size:9pt;
			}

			.text-document-data {
				font-size:10pt;
			}

			.text-document-headline{
				font-size:14pt;
			}

			.text-content {
				font-size:10pt;
			}

			.text-pos-head {
				font-size:8pt;
			}

			.text-pos-bodyHeadline {
				font-size:10pt;
			}

			.text-pos-body {
				font-size:9pt;
			}

			.text-summ-body {
				font-size:9pt;
			}

			.text-footer {
				font-size:7pt;
			}

			/*
			POSITIONEN, ABSTÄNDE UND ABMESSUNGEN
			*/

			@page :first {
				header: html_HeaderFirstPage;
				footer: html_Footer;
				margin-top: 95mm;
				margin-bottom: 35mm;
				margin-left: 20mm;
				margin-right: 15mm;
			}

			@page {
				size: auto;
				header: html_Header;
				footer: html_Footer;
				margin-top: 70mm;
				margin-bottom: 35mm;
				margin-left: 20mm;
				margin-right: 15mm;
			}

			div.mini-sender {
				position: absolute;
				top: 50mm;
				left: 20mm;
				width: 85mm;
			}

			div.recipient {
				position: absolute;
				top: 55mm;
				left: 20mm;
				width: 85mm;
			}

			div.document-data {
				position: absolute;
				top: 50mm;
				left: 120mm;
				width: 75mm;
			}

			table.pos {
				width: 100%;
			}

			table.pos td {
				padding-top: 1.5mm;
				padding-bottom: 1.5mm;
			}

			table.footer {
				width: 100%;
			}

			table.summ {
				width: 100%;
			}

			/*
			SONSTIGES
			*/

			.text-right {
				text-align:right;
			}

		{/literal}
	</style>
</head>

<body>

<!-- Header auf Seite 1 -->
<htmlpageheader name="HeaderFirstPage">

	<!-- Logo -->
	{if $pdf_config.use_picture}
		<div style="position: absolute; left: {$pdf_config.picture_posX}mm; top: {$pdf_config.picture_posY}mm;">
			<img src="{$pdf_config.picture_file}" style="width: {$pdf_config.picture_width}mm; margin: 0;" />
		</div>
	{/if}

	<!-- Absender -->
	<div class="mini-sender text-mini-sender" >
		{if $pdf_config.print_minisender}{$pdf_config.company_sender}{/if}
	</div>

	<!-- Empfänger -->
	<div class="recipient text-recipient">
		{$pdf_data.base.recipient_txt|nl2br}
	</div>

	<!-- Dokumenten-Infos -->
	<div class="document-data text-document-data text-right">

		<!-- Datum -->
		<strong>{$pdf_config.label_date}</strong> {$pdf_data.base.created|gsalesdateformat:"-"}<br>

		<!-- Kunden-Nr., wenn vorhanden -->
		{if $pdf_data.base.customerno != ''}
			<strong>{$pdf_config.label_customerno}</strong> {$pdf_data.base.customerno}<br>
		{/if}

		<!-- Seite / Anzahl-Seiten -->
		<strong>{$pdf_config.label_page}</strong> {literal}{PAGENO}/{nbpg}{/literal}

	</div>
</htmlpageheader>

<!-- Header auf allen anderen Seiten -->
<htmlpageheader name="Header">

	<!-- Logo -->
	{if $pdf_config.use_picture}
		<div style="position: absolute; left: {$pdf_config.picture_posX}mm; top: {$pdf_config.picture_posY}mm;">
			<img src="{$pdf_config.picture_file}"
			     style="width: {$pdf_config.picture_width}mm; margin: 0;" />
		</div>
	{/if}

	<div class="document-data text-document-data text-right">

		<!-- Datum -->
		<strong>{$pdf_config.label_date}</strong> {$pdf_data.base.created|gsalesdateformat:"-"}<br>

		<!-- Seite / Anzahl-Seiten -->
		<strong>{$pdf_config.label_page}</strong> {literal}{PAGENO}/{nbpg}{/literal}

	</div>

</htmlpageheader>

<!-- Footer für alle Seiten -->
<htmlpagefooter name="Footer">

	<!-- nur ausgeben wenn in konfiguration aktiviert wurde -->
	{if $pdf_config.print_footer_blocks}

		<!-- footer im GSALES 1 Stil -->
		{if $pdf_config.footer_1 != '' || $pdf_config.footer_2 != '' || $pdf_config.footer_3 != '' || $pdf_config.footer_4 != '' }

			<table class="footer text-footer">
					<tr>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_1 != ''}<strong>{$pdf_config.footer_head_1}</strong><br>{/if}
							{$pdf_config.footer_1|nl2br}
						</td>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_2 != ''}<strong>{$pdf_config.footer_head_2}</strong><br>{/if}
							{$pdf_config.footer_2|nl2br}
						</td>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_3 != ''}<strong>{$pdf_config.footer_head_3}</strong><br>{/if}
							{$pdf_config.footer_3|nl2br}
						</td>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_4 != ''}<strong>{$pdf_config.footer_head_4}</strong><br>{/if}
							{$pdf_config.footer_4|nl2br}
						</td>
					</tr>
			</table>

		<!-- footer im GSALES 2 Stil -->
		{else}

			{if $pdf_config.arrFooter|@count gt 0}
				{math equation="floor(100/values)" assign=spaltenBreite values=$pdf_config.arrFooter|@count}
				<table class="footer text-footer">
					<tr>
					{foreach key=k item=footerItem from=$pdf_config.arrFooter}
							<td style="width:{$spaltenBreite}%; vertical-align: top; text-align: left">
								{if $footerItem.headline != ''}<strong>{$footerItem.headline}</strong><br>{/if}
								{$footerItem.txt|nl2br}
							</td>
					{/foreach}
					</tr>
				</table>
			{/if}

		{/if}

	{/if}

</htmlpagefooter>



<!-- Inhalt des Dokuments -->



<!-- Überschrift -->
<div class="text-document-headline">
    {if $pdf_data.dunning.level == 1}<strong>{$pdf_config.label_1_step}</strong>{/if}
    {if $pdf_data.dunning.level == 2}<strong>{$pdf_config.label_2_step}</strong>{/if}
    {if $pdf_data.dunning.level == 3}<strong>{$pdf_config.label_3_step}</strong>{/if}
</div>

<!-- Einleitungstext -->
{if $pdf_data.dunning.var_txt_intro != ''}
	<div class="text-content" style="margin-top:5mm">{$pdf_data.dunning.var_txt_intro|nl2br}</div>
{/if}

<!-- Positionen -->
<table class="pos" style="margin-top:5mm; border-collapse: collapse;" >
	<thead>
		<tr>
			<!-- Spalte: R.-Nr. -->
			<th class="text-pos-head" nowrap="nowrap" style="text-align: left; padding-right:2mm">{$pdf_config.label_invoiceno}</th>
			<!-- Spalte: R.-Datum -->
			<th class="text-pos-head" nowrap="nowrap" style="text-align: left; padding-right:2mm">{$pdf_config.label_invoicedate}</th>
			<!-- Spalte: Teilzahlung -->
			<th class="text-pos-head" nowrap="nowrap" style="text-align: right; padding-right:2mm">{$pdf_config.label_invoicepart}</th>
			<!-- Spalte: offener R.-Betrag -->
			<th class="text-pos-head" nowrap="nowrap" style="text-align: right">{$pdf_config.label_invoicetopay}</th>
		</tr>
	</thead>
	<tbody>
		{assign var=calcTotalAmount value=0}
		{foreach key=k item=p from=$pdf_data.dunning.invoicelist}
			<tr style="border:0; border: collapse;">
				<!-- Spalte: R.-Nr. -->
				<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: left; padding-right:2mm">
					{$p.base.invoiceno}
				</td>
				<!-- Spalte: R.-Datum -->
				<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: left; padding-right:2mm">
                    {$p.base.created|gsalesdateformat:"-"}
				</td>
				<!-- Spalte: Teilzahlung -->
				<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: right">
	                {if $p.base.partialpayment > 0}{$p.base.partialpayment|gsalescurrency}{/if}
				</td>
				<!-- Spalte: offener R.-Betrag -->
				<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: right">
	                {assign var=openAmount value=$p.base.amount-$p.base.partialpayment}
	                {$openAmount|gsalescurrency}
	                {assign var=calcTotalAmount value=$calcTotalAmount+$openAmount}
				</td>
			</tr>
		{/foreach}
	</tbody>
</table>

<!-- Neue Tabelle damit die thead-Daten nicht wiederholt werden -->
<table class="summ">

	<tr>
		<td colspan="2"></td>
	</tr>

	<tr>
		<td colspan="2" style="border-bottom: 1px solid #000000;"></td>
	</tr>

	<tr>
		<td colspan="2"></td>
	</tr>

	<!-- Zwischensumme -->
	<tr>
		<td class="text-summ-body" style="text-align: left">{$pdf_config.label_subtotal}</td>
		<td class="text-summ-body" nowrap="nowrap" style="text-align: right">{$calcTotalAmount|gsalescurrency}</td>
	</tr>

	<!-- Mahngebühren -->
	<tr>
		<td class="text-summ-body" style="text-align: left">{$pdf_data.dunning.kostentxt}</td>
		<td class="text-summ-body" nowrap="nowrap" style="text-align: right">{$pdf_data.dunning.kosten|gsalescurrency}</td>
	</tr>

	<!-- Gesamtbetrag -->
    {assign var=calcFinal value=$calcTotalAmount+$pdf_data.dunning.kosten}
	<tr>
		<td class="text-summ-body" style="text-align: left;"><strong>{$pdf_config.label_total}</strong></td>
		<td class="text-summ-body" nowrap="nowrap" style="text-align: right;"><strong>{$calcFinal|gsalescurrency}</strong></td>
	</tr>

</table>

<!-- Abschlusstext -->
{if $pdf_data.dunning.var_txt_outro != ''}
	<div class="text-content"  style="margin-top:5mm">{$pdf_data.dunning.var_txt_outro|nl2br}</div>
{/if}

</body>
</html>