<?php

/**
 *
 * OBSOLETE seit 08/2020 -> wurde ersetzt durch mPDF, siehe tpl.def_invoice.php
 *
 *
 *
 * Default GSALES 2 PDF Invoice/Offer/Refund Template
 * Author: GSALES Development Team - Gedankengut GbR Manuel Häuser & Gökhan Sirin
 * 
 * http://www.gsales.de
 * http://www.gedankengut.de
 * 
 * Copyright 2010 - Gedankengut GbR
 * 
 * Damit GSALES Updates nicht die eigenen Änderungen überschreiben, sollte diese Datei kopiert (tpl.meinName.php) und dann auf die eigenen Bedürfnisse angepasst werden!
 * Die Weitergabe von modifizierten Rechnungstemplates an andere GSALES Benutzer über unser Supportforum (http://forum.gsales.de) ist gestattet.
 * 
 */


// PDF Datei als Briefpapier hinterlegen? (empfohlen)

	/*
		Um das optimale Ergebnis zu erzielen lege Texte und wenn möglich dein Firmenlogo in der Vorlage als Vektoren an.
		Dadurch erhälst du bei Zoomen eine gleichbleibende Qualität und die Dateigröße deiner Rechnungen bleibt schön klein was beim Versand per E-Mail
		ein wichtiger Faktor ist.
	*/
	
$arrPDFConfig['use_stationery_pdf'] = $this->refCore->cfg->v('pdf_invoice_stationary');
$arrPDFConfig['stationery_pdf_file'] = $this->refCore->cfg->v('path_absolute').$this->refCore->cfg->v('pdf_invoice_stationary_file'); # bitte pdf Datei entsprechend hochladen!


// Mini Absender
$arrPDFConfig['print_minisender'] = $this->refCore->cfg->v('pdf_invoice_printminisender');


// Firmenlogo einbinden

	/*
		Achtung! Möglich sind folgende Dateiformate
		- JPG Bilder (Graustufenbilder, Truecolor 24 Bit, CMYK 32 Bit)
		- PNG Bilder (Graustufenbilder 8 Bit & 256 Graustufen, Farbpaletten, Truecolor 24 Bit)
	*/
	
$arrPDFConfig['use_picture'] = $this->refCore->cfg->v('pdf_invoice_picture');
$arrPDFConfig['picture_file'] = $this->refCore->cfg->v('path_absolute').$this->refCore->cfg->v('pdf_invoice_picture_file'); # GSALES Logo als Beispiel, bitte eigene Verwenden damit diese bei Updates nicht versehentlich überschrieben wird
$arrPDFConfig['picture_width'] = $this->refCore->cfg->v('pdf_invoice_picture_width');
$arrPDFConfig['picture_posX'] = $this->refCore->cfg->v('pdf_invoice_picture_posx');
$arrPDFConfig['picture_posY'] = $this->refCore->cfg->v('pdf_invoice_picture_posy');


// Fußzeilenblöcke
$arrPDFConfig['print_footer_blocks'] = $this->refCore->cfg->v('pdf_invoice_printfooter');


// Fußzeilenblöcke Content (verwendet den Konfigurationsreiter "Meine Daten")

if ($this->refCore->cfg->v('me_ustidnr') != '' && $this->refCore->cfg->v('me_taxno')){
	$arrTaxFooter = array('headline'=>'Steuernummern', 'txt'=>'USt-IdNr. '.$this->refCore->cfg->v('me_ustidnr')."\nSt.-Nr. ".$this->refCore->cfg->v('me_taxno'));	
} else {
	if ($this->refCore->cfg->v('me_ustidnr') != '') $arrTaxFooter = array('headline'=>'USt-IdNr.', 'txt'=>$this->refCore->cfg->v('me_ustidnr'));
	else $arrTaxFooter = array('headline'=>'Steuernummer', 'txt'=>$this->refCore->cfg->v('me_taxno'));		
}

$arrContactFooter = array('headline'=>'Anschrift', 		'txt'=>$this->refCore->cfg->v('me_company')."\n".$this->refCore->cfg->v('me_address')."\n".$this->refCore->cfg->v('me_countrycode').$this->refCore->cfg->v('me_zip').' '.$this->refCore->cfg->v('me_city'));	
if ($this->refCore->cfg->v('me_owner') != '' || $this->refCore->cfg->v('me_manager') != '') $arrContactFooter['txt'] .= "\n";
if ($this->refCore->cfg->v('me_owner') != '') $arrContactFooter['txt'] .= "\n".'Inh. '.$this->refCore->cfg->v('me_owner');
if ($this->refCore->cfg->v('me_manager') != '') $arrContactFooter['txt'] .= "\n".'GF '.$this->refCore->cfg->v('me_manager');

$arrBankFooter = array('headline'=>'Bankverbindung', 'txt'=>'');
if ($this->refCore->cfg->v('me_bank') != '') $arrBankFooter['txt'] .= $this->refCore->cfg->v('me_bank')."\n";
if ($this->refCore->cfg->v('me_bankaccount') != '') $arrBankFooter['txt'] .= 'Konto '.$this->refCore->cfg->v('me_bankaccount')."\n";
if ($this->refCore->cfg->v('me_bankcode') != '') $arrBankFooter['txt'] .= 'BLZ '.$this->refCore->cfg->v('me_bankcode')."\n";
if ($this->refCore->cfg->v('me_bankiban') != '') $arrBankFooter['txt'] .= 'IBAN '.$this->refCore->cfg->v('me_bankiban')."\n";
if ($this->refCore->cfg->v('me_bankbic') != '') $arrBankFooter['txt'] .= 'BIC '.$this->refCore->cfg->v('me_bankbic')."\n";


// footer im GSALES 1 stil = textfelder aus konfiguration

$arrPDFConfig['footer_head_1'] = $this->refCore->cfg->v('pdf_footer_headline_1');
$arrPDFConfig['footer_1'] = $this->refCore->cfg->v('pdf_footer_1');
$arrPDFConfig['footer_head_2'] = $this->refCore->cfg->v('pdf_footer_headline_2');
$arrPDFConfig['footer_2'] = $this->refCore->cfg->v('pdf_footer_2');
$arrPDFConfig['footer_head_3'] = $this->refCore->cfg->v('pdf_footer_headline_3');
$arrPDFConfig['footer_3'] = $this->refCore->cfg->v('pdf_footer_3');
$arrPDFConfig['footer_head_4'] = $this->refCore->cfg->v('pdf_footer_headline_4');
$arrPDFConfig['footer_4'] = $this->refCore->cfg->v('pdf_footer_4');

// footer aus "meine daten"

$arrPDFConfig['arrFooter'] = array(
	$arrContactFooter,
	array('headline'=>'Kontakt', 		'txt'=>"Tel. ".$this->refCore->cfg->v('me_phone')."\nFax ".$this->refCore->cfg->v('me_fax')."\n".$this->refCore->cfg->v('me_mail')."\n".$this->refCore->cfg->v('me_web')),
	$arrTaxFooter,
	$arrBankFooter
);


// Schrift definieren

$arrPDFConfig['font'] = 'Arial';
$arrPDFConfig['font_size_tiny'] = 6; // Verwendung in Mini-Absender
$arrPDFConfig['font_size_small'] = 8;  // Verwendung in Überschriften der Positionstabelle & Fußzeilenblöcken
$arrPDFConfig['font_size_big'] = 14; // Verwendung in Dokumenten-Headline
$arrPDFConfig['font_size'] = 10; // Standardgröße für alles weitere


// Währungseinstellungen

$arrPDFConfig['currency'] = $this->refCore->cfg->v('currency_symbol');

$arrPDFConfig['currency_space'] = '';
if ($this->refCore->cfg->v('currency_symbol_spacing') == true) $arrPDFConfig['currency_space'] = ' ';

$arrPDFConfig['currency_pre'] = false;
if ($this->refCore->cfg->v('currency_symbol_before_number') == true) $arrPDFConfig['currency_pre'] = true;

// € Symbol fix
$arrPDFConfig['currency'] = str_replace('€',chr(128),$arrPDFConfig['currency']);  
$var_array['base']['curr_symbol'] = str_replace('€',chr(128),$var_array['base']['curr_symbol']);

$arrPDFConfig['displayDecimals'] = $this->refCore->cfg->v('decimalplaces_output');


// Sonstige Einstellungen

$arrPDFConfig['offsetX'] = 15; // linker Rand
$arrPDFConfig['limitToY'] = 255; // Wann soll ein Seitenumbruch geschehen?
#$arrPDFConfig['restartAtY'] = 95; // Ab welcher Position geht es nach einem Seitenumbruch auf der neuen Seite weiter?
$arrPDFConfig['startAtY'] = 101; // Ab welcher Position geht es nach einem Seitenumbruch auf der neuen Seite weiter?
$arrPDFConfig['restartAtY'] = 78; // Ab welcher Position geht es nach einem Seitenumbruch auf der neuen Seite weiter?

$arrPDFConfig['showTax'] = $this->refCore->cfg->v('pdf_invoice_tax'); // MwSt. anzeigen?) (für Kleinunternehmner)
$arrPDFConfig['hideDiscount'] = $this->refCore->cfg->v('pdf_invoice_hide_discount'); // Rabatt-Spalte anzeigen wenn kein Rabatt gewährt wurde?
$arrPDFConfig['alternateBg'] = $this->refCore->cfg->v('pdf_alternate_bg'); // Alternierender Hintergrund
$arrPDFConfig['show_colpos'] = $this->refCore->cfg->v('pdf_invoice_position');



// Übertrag von Seite X

$arrPDFConfig['addPageCarryLine'] = $this->refCore->cfg->v('pdf_label_pagecarry_show');
$arrPDFConfig['label_pagecarry'] = $this->refCore->cfg->v('pdf_label_pagecarry');


// Absender (kann auch über die GSALES Konfiguration beinflusst werden)

$arrPDFConfig['company_sender'] = $this->refCore->cfg->v('me_company').' - '.$this->refCore->cfg->v('me_address').' - '.trim($this->refCore->cfg->v('me_countrycode').' '.$this->refCore->cfg->v('me_zip')).' '.$this->refCore->cfg->v('me_city');


// Labels

$arrPDFConfig['label_invoice'] = $this->refCore->cfg->v('pdf_i_label_invoice');
$arrPDFConfig['label_offer'] = $this->refCore->cfg->v('pdf_i_label_offer');
$arrPDFConfig['label_refund'] = $this->refCore->cfg->v('pdf_i_label_refund');
$arrPDFConfig['label_canceled'] = $this->refCore->cfg->v('pdf_i_label_canceled');
$arrPDFConfig['label_date'] = $this->refCore->cfg->v('pdf_i_label_date');
$arrPDFConfig['label_customerno'] = $this->refCore->cfg->v('pdf_i_label_customerno');
$arrPDFConfig['label_invoiceno'] = $this->refCore->cfg->v('pdf_i_label_invoiceno');
$arrPDFConfig['label_deliverydate'] = $this->refCore->cfg->v('pdf_i_label_deliverydate');
$arrPDFConfig['label_offerno'] = $this->refCore->cfg->v('pdf_i_label_offerno');
$arrPDFConfig['label_refundno'] = $this->refCore->cfg->v('pdf_i_label_refundno');
$arrPDFConfig['label_sale'] = $this->refCore->cfg->v('pdf_i_label_sale');
$arrPDFConfig['label_saleno'] = $this->refCore->cfg->v('pdf_i_label_saleno');
$arrPDFConfig['label_delivery'] = $this->refCore->cfg->v('pdf_i_label_delivery');
$arrPDFConfig['label_deliveryno'] = $this->refCore->cfg->v('pdf_i_label_deliveryno');
$arrPDFConfig['label_page'] = $this->refCore->cfg->v('pdf_i_label_page');
$arrPDFConfig['label_position'] = $this->refCore->cfg->v('pdf_i_label_position');
$arrPDFConfig['label_amount'] = $this->refCore->cfg->v('pdf_i_label_amount');
$arrPDFConfig['label_description'] = $this->refCore->cfg->v('pdf_i_label_description');
$arrPDFConfig['label_discount'] = $this->refCore->cfg->v('pdf_i_label_discount');
$arrPDFConfig['label_tax'] = $this->refCore->cfg->v('pdf_i_label_tax');
$arrPDFConfig['label_unitprice'] = $this->refCore->cfg->v('pdf_i_label_unitprice');
$arrPDFConfig['label_amountprice'] = $this->refCore->cfg->v('pdf_i_label_amountprice');
$arrPDFConfig['label_netamount'] = $this->refCore->cfg->v('pdf_i_label_netamount');
$arrPDFConfig['label_includeddiscount'] = $this->refCore->cfg->v('pdf_i_label_includeddiscount');
$arrPDFConfig['label_plustax'] = $this->refCore->cfg->v('pdf_i_label_plustax');
$arrPDFConfig['label_invoicetotal'] = $this->refCore->cfg->v('pdf_i_label_invoicetotal');
$arrPDFConfig['label_refundtotal'] = $this->refCore->cfg->v('pdf_i_label_refundtotal');
$arrPDFConfig['label_offertotal'] = $this->refCore->cfg->v('pdf_i_label_offertotal');


// Bezahlcode Einstellungen

$arrPDFConfig['bc_show'] = $this->refCore->cfg->v('pdf_invoice_bezahlcode');
$arrPDFConfig['bc_account_owner'] = $this->refCore->cfg->v('dtaus_account_owner');
$arrPDFConfig['bc_account_iban'] = $this->refCore->cfg->v('sepa_account_iban');
$arrPDFConfig['bc_account_bic'] = $this->refCore->cfg->v('sepa_account_bic');



















// Ab hier: Entwicklermodus ;)




// Im Blanko keine Bilder, Briefpapier und Fußzeilenblöcke ausgeben
if ($booBlanko){
	$arrPDFConfig['use_stationery_pdf'] = false;
	$arrPDFConfig['use_picture'] = false;
	$arrPDFConfig['print_footer_blocks'] = false;
}




if (!class_exists('PDF_TEMPLATE_DEFAULT_INVOICE')){ // klasse nur beim ersten einbinden deklarieren
	
	class PDF_TEMPLATE_DEFAULT_INVOICE extends FPDI {

		public $pdfCfg;
		public $pdfData;
		public $booOutputHeader;
		
		function passConfiguration($arrConfig){
			$this->pdfCfg = $arrConfig;
		}
		
		function passGsalesData($arrData){
			$this->pdfData = $arrData;
		}
		
		
		function Header(){

			if($this->pdfCfg['use_stationery_pdf']){
				$this->setSourceFile($this->pdfCfg['stationery_pdf_file']);
				$intTempplateId = $this->ImportPage(1);
				$this->useTemplate($intTempplateId,0);
			}			
			
			/*
			// Development: XY Skala eindrucken
			$this->SetXY(0, 0);
			$this->SetFont($this->pdfCfg['font'], '', 4);
			for ($i=0;$i<300;$i+=3) {
				$this->SetXY($i,3); $this->Cell(3,3,$i);
				$this->SetXY(3,$i); $this->Cell(3,3,$i);
			}
			*/

			// Bild eindrucken
			
			if ($this->pdfCfg['use_picture']){
				$this->Image($this->pdfCfg['picture_file'], $this->pdfCfg['picture_posX'] , $this->pdfCfg['picture_posY'] , $this->pdfCfg['picture_width']);	
			}

			
			// Absender & Anschrift nur auf die erste Seite drucken
			
			if ($this->PageNo() == 1){
				
				// Mini-Absender über Empfänger
				if ($this->pdfCfg['print_minisender']){
					$this->SetXY($this->pdfCfg['offsetX'],45);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size_tiny']);
					$this->Cell(100,0,$this->pdfText($this->pdfCfg['company_sender']));
				}
				
				// Empfängeranschrift
				$this->SetXY($this->pdfCfg['offsetX'],50);
				$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
				$this->MultiCell(100,5, $this->pdfText($this->pdfData['base']['recipient_txt']),0,'L');

			
			// Dokument-Headline
			if ($this->pdfData['type'] == 'invoices') $strHeadline = $this->pdfCfg['label_invoice'];
			if ($this->pdfData['type'] == 'offers') $strHeadline = $this->pdfCfg['label_offer'];
			if ($this->pdfData['type'] == 'refunds') $strHeadline = $this->pdfCfg['label_refund'];
			if ($this->pdfData['type'] == 'sales') $strHeadline = $this->pdfCfg['label_sale'];
			if ($this->pdfData['type'] == 'deliveries') $strHeadline = $this->pdfCfg['label_delivery'];

			if ($this->pdfData['base']['status_id'] == 2 && $this->pdfData['type'] != 'offers')  $strHeadline .= ' ('.$this->pdfCfg['label_canceled'].')';
			$this->SetXY($this->pdfCfg['offsetX'],96);
			$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size_big']);
			$this->Cell(100,0,$this->pdfText($strHeadline));
			
			}
			
			

			// Rechte Seite
			// Dokument-Daten auf Höhe der Empfängeranschrift beginnen
			
			$ys = 55;
			
			if ($this->booOutputHeader){
			
				// Datum Zeile
				
				$this->SetXY(140, $ys);
				$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
				$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_date']),0);

				$this->SetXY(175, $ys);
				$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
				$this->Cell(20,0,$this->pdfText(date('d.m.Y', strtotime($this->pdfData['base']['created']))), 0, 0, 'R' );
				
				$ys +=5;
				
				// Kunden-Nr. Zeile (nur ausgeben wenn eine Nummer vorhanden ist )
				
				if (trim($this->pdfData['base']['customerno']) != ''){				
					
					$this->SetXY(140, $ys);
					$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
					$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_customerno']),0);
	
					$this->SetXY(175, $ys);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
					$this->Cell(20,0,$this->pdfText($this->pdfData['base']['customerno']), 0, 0, 'R' );
					
					$ys +=5;

				}

				/*
				// CODE BEISPIEL: Steuernummer des Kunden ausgeben (wenn mit Kunden verknüpft und vorhanden)
				if (isset($this->pdfData['customerdata'])){

					if (isset($this->pdfData['customerdata']['taxnumber']) && $this->pdfData['customerdata']['taxnumber'] != ''){

						$this->SetXY(140, $ys);
						$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
						$this->Cell(25,0,$this->pdfText('Steuernummer'),0);

						$this->SetXY(175, $ys);
						$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
						$this->Cell(20,0,$this->pdfText($this->pdfData['customerdata']['taxnumber']), 0, 0, 'R' );
						$ys +=5;

					}

				}
				*/

				// Dokumenttypabhängige Zeilen
				
				if ($this->pdfData['type'] == 'invoices'){
					
					// Rechnungs-Nr. Zeile
					
					$this->SetXY(140, $ys);
					$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
					$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_invoiceno']),0);

					$this->SetXY(175, $ys);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
					$this->Cell(20,0,$this->pdfText($this->pdfData['base']['invoiceno']), 0, 0, 'R' );
					
					$ys +=5;

					
					// Lieferdatum Zeile
					
					if ($this->pdfData['base']['deliverydate'] != '0000-00-00 00:00:00'){
						
						$this->SetXY(140, $ys);
						$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
						$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_deliverydate']),0);
	
						$this->SetXY(175, $ys);
						$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
						$this->Cell(20,0,$this->pdfText(date('d.m.Y', strtotime($this->pdfData['base']['deliverydate']))), 0, 0, 'R' );
						
						$ys +=5;						
						
					}


					/*
					// CODE BEISPIEL: Ausgabe des Custom 1 Feldes mit eigener Beschriftung

					if (trim($this->pdfData['base']['custom1']) != ''){

						$this->SetXY(140, $ys);
						$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
						$this->Cell(25,0,$this->pdfText('Titel'),0);

						$this->SetXY(175, $ys);
						$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
						$this->Cell(20,0,$this->pdfText($this->pdfData['base']['custom1']), 0, 0, 'R' );

						$ys +=5;
					}

					*/

				}
				
				if ($this->pdfData['type'] == 'offers'){
					
					// Angebots-Nr. Zeile
					
					$this->SetXY(140, $ys);
					$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
					$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_offerno']),0);

					$this->SetXY(175, $ys);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
					$this->Cell(20,0,$this->pdfText($this->pdfData['base']['invoiceno']), 0, 0, 'R' );
					
					$ys +=5;						
					
				}

				if ($this->pdfData['type'] == 'deliveries'){

					// Lieferschein-Nr. Zeile

					$this->SetXY(140, $ys);
					$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
					$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_deliveryno']),0);

					$this->SetXY(175, $ys);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
					$this->Cell(20,0,$this->pdfText($this->pdfData['base']['invoiceno']), 0, 0, 'R' );

					$ys +=5;

				}

				if ($this->pdfData['type'] == 'sales'){

					// Auftrags-Nr. Zeile

					$this->SetXY(140, $ys);
					$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
					$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_saleno']),0);

					$this->SetXY(175, $ys);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
					$this->Cell(20,0,$this->pdfText($this->pdfData['base']['invoiceno']), 0, 0, 'R' );

					$ys +=5;

				}
				
				if ($this->pdfData['type'] == 'refunds'){
					
					// Gutschrifts-Nr. Zeile
					
					$this->SetXY(140, $ys);
					$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
					$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_refundno']),0);

					$this->SetXY(175, $ys);
					$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
					$this->Cell(20,0,$this->pdfText($this->pdfData['base']['invoiceno']), 0, 0, 'R' );
					
					$ys +=5;						
					
				}
				
				// Seitenanzahl Zeile
				
				$this->SetXY(140, $ys);
				$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size']);
				$this->Cell(25,0,$this->pdfText($this->pdfCfg['label_page']),0);

				// Variable definieren für Ersetzung nach der Erstellung der Seiten
				
				$this->intPageCountYPos = $ys;
				
				
				$ys +=5;
			
			}
			
			
			$this->SetY($this->pdfCfg['startAtY']);
			#$this->SetY($this->pdfCfg['restartAtY']);
			
				
		}
		
		function Footer(){
			
			if (false == $this->pdfCfg['print_footer_blocks']) return;
			
			// Fußzeilenblöcke ausgeben
			
			$arrFooter = $this->pdfCfg['arrFooter'];
			if (!is_array($arrFooter)) return false;

			// Footer überschreiben mit komplett manuellen Fußzeilenblöcken aus Konfiguration (GSALES 1 Stil)
			
			if ($this->pdfCfg['footer_1'] != '' || $this->pdfCfg['footer_2'] != '' || $this->pdfCfg['footer_3'] != '' || $this->pdfCfg['footer_4'] != ''){
				unset($arrFooter);
				for ($i=1;$i<=4;$i++) $arrFooter[] = array('headline'=> $this->pdfCfg['footer_head_'.$i], 'txt'=>$this->pdfCfg['footer_'.$i]);
			}
			
			$intYOffset = 270;
			$intXStart = 15;
			$intXStop = 230; // Diesen Wert modifizieren um die horizontale Verteilung der Fußzeilenblöcke zu beeinflussen
			$intCalculatedSpace = $intXStop-$intXStart;
			$intCalculatedSpacePerBlock = floor($intCalculatedSpace/5);

			foreach ((array)$arrFooter as $key => $value){
				$this->SetXY($intXStart+($key*$intCalculatedSpacePerBlock), $intYOffset);
				$this->SetFont($this->pdfCfg['font'], 'B', 7);
				$this->Cell($intCalculatedSpacePerBlock,0,$this->pdfText($value['headline']));
				
				$this->SetXY($intXStart+($key*$intCalculatedSpacePerBlock), $intYOffset+2);
				$this->SetFont($this->pdfCfg['font'], '', 7);
				$this->MultiCell($intCalculatedSpacePerBlock,3,$this->pdfText($value['txt']),0,'L');
			}
			
			//reset font settings
			$this->SetFont($this->pdfCfg['font'], '', $this->pdfCfg['font_size']);
		
		}
		
		function posTableHeadlines($intY, $booShowDiscountCol=true){
			$this->SetFont($this->pdfCfg['font'], 'B', $this->pdfCfg['font_size_small']);

			if ($this->pdfCfg['show_colpos']){
				$this->setXY(15, $intY);
				$this->Cell(15,'',$this->pdfText($this->pdfCfg['label_position']),0,0);
			}

			$this->setXY(25, $intY);
			$this->Cell(20,'',$this->pdfText($this->pdfCfg['label_amount']),0,0);
			
			$this->setXY(40, $intY);
			$this->Cell(10,'',$this->pdfText($this->pdfCfg['label_description']),0,0);

			// bei lieferscheinen keinen rabatt, steuer, preise eindrucken

			if ($this->pdfData['type'] != 'deliveries')  {

				if ($booShowDiscountCol){
					$this->setXY(110, $intY);
					$this->Cell(20,'',$this->pdfText($this->pdfCfg['label_discount']),0,0,'R');
				}

				// Überprüfen ob die MwSt. Spalte trotz deaktivierung angezeigt werden muss da Positionen mit MwSt. vorhanden sind
				if (false == $this->pdfCfg['showTax']){
					$booTaxedPos = false;
					foreach ((array)$this->pdfData['pos'] as $key => $value){
						if ($value['tax'] > 0) $booTaxedPos = true;
					}
				}

				if ($this->pdfCfg['showTax'] || $booTaxedPos == true){
					$this->setXY(125, $intY);
					$this->Cell(20,'',$this->pdfText($this->pdfCfg['label_tax']),0,0,'R');
				}

				$this->setXY(150, $intY);
				$this->Cell(20,'',$this->pdfText($this->pdfCfg['label_unitprice']),0,0,'R');

				$this->setXY(180, $intY);
				$this->Cell(20,'',$this->pdfText($this->pdfCfg['label_amountprice']),0,0,'R');

			}

			$this->Ln(4);
			
		}
		
		function getFormatedStandardCurrency($value, $booDisplayMoreDecimals=false){
			
			$intDisplayDecimals = 2;
			if ($booDisplayMoreDecimals) $intDisplayDecimals = $this->pdfCfg['displayDecimals'];
			
			if ($this->pdfCfg['currency_pre'] == true){
				return $this->pdfCfg['currency'].$this->pdfCfg['currency_space'].gsDecimalTrim(number_format($value,$intDisplayDecimals,',','.'),',');
			} else {
				return gsDecimalTrim(number_format($value,$intDisplayDecimals,',','.'),',').$this->pdfCfg['currency_space'].$this->pdfCfg['currency'];
			}
		}
		
		function getFormatedForeignCurrency($value, $arrInvoiceBase, $booDisplayMoreDecimals=false){
			
			$strCurrencySymbol = $arrInvoiceBase['curr_symbol'];
			
			$booCurrencySpacing = false;
			if ($arrInvoiceBase['curr_spacing'] == 1) $booCurrencySpacing = true;
			
			$booCurrencyBeforeNumber = false;
			if ($arrInvoiceBase['curr_before_number'] == 1) $booCurrencyBeforeNumber = true;
			
			
			$intDisplayDecimals = 2;
			if ($booDisplayMoreDecimals) $intDisplayDecimals = $this->pdfCfg['displayDecimals'];
			return gsForeignCurrency($value, $strCurrencySymbol, true, $booCurrencySpacing, $booCurrencyBeforeNumber, $intDisplayDecimals);
			
		}
		
		function euroReplace($string){
			return str_replace('€',chr(128),$string);
		}
		
		function pdfText($string){
			$string = str_replace('&nbsp;',' ', $string); // html_entity decode funktioniert nicht ... wieso?
			if (function_exists('iconv')){
				$retString = iconv('utf8', 'cp1252', html_entity_decode($string,ENT_QUOTES));
				if ($retString == false) $retString = iconv('utf-8', 'cp1252', html_entity_decode($string,ENT_QUOTES)); // auf manchen systemen korrekterweise utf-8 anstelle von utf8
				if ($retString) return $retString;
			}
			return utf8_decode(html_entity_decode($this->euroReplace($string),ENT_QUOTES));
		}		
		
		function WordWrap($text, $maxwidth){
			
		    $text = trim($text);
		    if ($text==='') return 0;
		    $space = $this->GetStringWidth(' ');
		    $lines = explode("\n", $text);
		    $text = '';
		    $count = 0;
			
		    foreach ($lines as $line){
		        $words = preg_split('/ +/', $line);
		        $width = 0;
		        foreach ($words as $word){
		            $wordwidth = $this->GetStringWidth($word);
		            if ( $width + $wordwidth + $space <= $maxwidth){
		                $width += $wordwidth + $space;
		                $text .= $word.' ';
		            } else {
		                $width = $wordwidth + $space;
		                $text = rtrim($text)."\n".$word.' ';
		                $count++;
		            }
		        }
		        $text = rtrim($text)."\n";
		        $count++;
		    }
		    $text = rtrim($text);
		    return $count;

		}

	}

}
	
	
// Fremdnutzung des Templates (durch Mahnwesen) verhindern!

if ($var_array['type'] != 'invoices' && $var_array['type'] != 'offers' && $var_array['type'] != 'refunds' && $var_array['type'] != 'sales' && $var_array['type'] != 'deliveries'){
	$this->refCore->setError('PDF Fehlgeschlagen! Das ausgewählte Template unterstützt nur die Generierung von Angeboten, Rechnungen, Gutschriften, Auftragsbestätigungen und Lieferscheine!');
	return false;
}	

$pdf = new PDF_TEMPLATE_DEFAULT_INVOICE('P', 'mm', 'A4');
$pdf->SetAutoPageBreak(false);
$pdf->booOutputHeader = true;
$pdf->passConfiguration($arrPDFConfig);
$pdf->passGSalesData($var_array);

$pdf->AddPage();

$pdf->SetXY($arrPDFConfig['offsetX'],$arrPDFConfig['startAtY']);
$tmpY = $pdf->GetY();

// Storno Hinweis (nur für Rechnungen)

if ($var_array['base']['status_id'] == 2 && $var_array['type'] == 'invoices'){
	$pdf->SetFont($arrPDFConfig['font'], 'B', $arrPDFConfig['font_size'] );
	$txtStorno = 'Storniert am '.date('d.m.Y', strtotime($var_array['base']['status_date']));
	if ($var_array['base']['storno_txt'] != '') $txtStorno .= ' mit der Begründung: ' . $var_array['base']['storno_txt'];
	$pdf->MultiCell(170, 5, $pdf->pdfText($txtStorno),0,'L');
	$tmpY = $pdf->GetY()+3;
}


// Einleitungstext

if ($var_array['base']['vars_i_pre_txt'] != ''){
	$pdf->SetXY($arrPDFConfig['offsetX'],$tmpY);
	$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size'] );
	$pdf->MultiCell(170, 5, $pdf->pdfText($var_array['base']['vars_i_pre_txt']),0,'L');
	$tmpY = $pdf->GetY()+3;
}

// Dokument ohne Positionen macht sich nicht so gut. => Aussteigen

if (false == is_array($var_array['pos']) || count($var_array['pos']) < 1){
	$this->refCore->setError('Keine Positionen vorhanden. pdf Datei konnte nicht erstellt werden.');
	return false;		
}

// Positionen nach Rabatt durchsuchen
$booHasDiscountedItems = false;
foreach ($var_array['pos'] as $key => $value){
	if ($value['discount'] > 0){
		$booHasDiscountedItems = true;
		break;
	}
}
unset($key, $value);

$booShowDiscountCol = true;
if ($booHasDiscountedItems == false && $arrPDFConfig['hideDiscount']) $booShowDiscountCol = false;

// Positionstabelle (Headlines)

$pdf->posTableHeadlines($tmpY+5, $booShowDiscountCol);

$posCounter=0;
$colorCounter=0;
$intTotalPosCounter=0;

$endeY = 0;
$pageCarrLineTotal = 0;

foreach ($var_array['pos'] as $key => $value){
	
	$tmpY = $pdf->GetY();

	// Wo soll die Zeile für die Position beginnen?
	// Muss berücksichtigt werden das die Zeile davor mehrzeilig war?
	
	if ($endeY > $tmpY) $tmpY = $endeY+4;
	else $tmpY += 4; 
	
	// Überprüfen wieviele Zeilen die nächste Position in Anspruch nehmen wird
	
	$intPosTxtWidth = 80;
	if ($value['headline'] == 1 || $var_array['type'] == 'deliveries') $intPosTxtWidth = 160;
	$zeilen = $pdf->WordWrap($pdf->pdfText($value['vars_pos_txt']), $intPosTxtWidth);
	if ($value['headline'] == 1) $zeilen++; // nächste einzeilige position muss bei headline auch noch mit draufpassen können
	
	// Ab der zweiten Position pro Seite (sonst Schleife) überprüfen ob eine neue Seite benötigt wird.
	
	if ( ($zeilen*5)+$tmpY > $arrPDFConfig['limitToY'] && $posCounter != 0 ) {
		$posCounter=0;
		$pdf->AddPage();
		$tmpY=$arrPDFConfig['restartAtY'];
		$pdf->posTableHeadlines($tmpY+5, $booShowDiscountCol);
		$tmpY = $pdf->GetY()+2;
		
		// "Übertrag von Seite x" Zeile ausgeben
		
		if ($arrPDFConfig['addPageCarryLine'] && $var_array['type'] != 'deliveries'){
			$pdf->SetFont($arrPDFConfig['font'], 'I', $arrPDFConfig['font_size_small']);		
			$pdf->setXY(22, $tmpY);
			$pdf->Cell(70, 0, $pdf->pdfText(str_ireplace('{p}',($pdf->PageNo()-1),$arrPDFConfig['label_pagecarry'])), 0, 0, 'L');
			$pdf->setXY(180, $tmpY);
			if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($pageCarrLineTotal); // Standardwährung
			else $out = $pdf->getFormatedForeignCurrency($pageCarrLineTotal,$var_array['base']); // Fremdwährung
			$pdf->Cell(20, 0, $out, 0, 0, 'R');
			$tmpY += 6;
		} else {
			$tmpY += 2;
		}
		
	}

	if ($value['headline'] == 1){
		
		$pdf->SetFont($arrPDFConfig['font'], 'B', $arrPDFConfig['font_size']);
		
		if ($posCounter == 0) $pdf->setXY(40, $tmpY-3); 
		else $pdf->setXY(40, $tmpY+2); 

		$pdf->MultiCell(160, 5, $pdf->pdfText($value['vars_pos_txt']),0,'L');
		
		$endeY = $pdf->GetY();		
		$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size']);
		
		$colorCounter = 1;
		
	
	} else {

		$intTotalPosCounter++;

		if (false == isset($value['optional'])) $value['optional'] = '';

		// Alternierenden Hintergrund eindrucken
		
		if ($colorCounter%2 != 0 && $arrPDFConfig['alternateBg']){
			$pdf->SetFillColor(230,230,230);
			$pdf->Rect(15,$tmpY-3,188,($zeilen*5)+1,'F');
		}

		// Pos.

		if ($arrPDFConfig['show_colpos']){
			$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size']);
			$pdf->setXY(15, $tmpY);
			$pdf->Cell(25, 0, $pdf->pdfText($intTotalPosCounter), 0, 0, 'L');
		}

		// Menge & Einheit
		
		$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size']);		
		$pdf->setXY(18, $tmpY);
		$pdf->Cell(18, 0, $pdf->pdfText(gsFloat($value['quantity']).' '.$value['unit']), 0, 0, 'R');


		if ($var_array['type'] != 'deliveries'){

			// Rabatt %

			if ($value['discount'] > 0){
				$pdf->setXY(110, $tmpY);
				$pdf->Cell(20, 0, $pdf->pdfText(gsFloat($value['discount']).'%'), 0, 0, 'R');
			}


			// Steuersatz %

			if ($value['tax'] > 0 || $this->pdfCfg['showTax']){
				$pdf->setXY(125, $tmpY);
				$pdf->Cell(20, 0, gsFloat($value['tax']).'%', 0, 0, 'R');
			}


			// Einzelpreis (falls benötigt)

			$pdf->setXY(150, $tmpY);
			if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($value['price'], true); // Standardwährung
			else $out = $pdf->getFormatedForeignCurrency($value['curr_price'], $var_array['base'], true); // Fremdwährung
			if ($value['optional'] == 1) $out = '('.$out.')';
			$pdf->Cell(20,'',$out, 0, 0, 'R');


			// Gesamtpreis

			$pdf->setXY(180, $tmpY);
			if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($value['tprice']); // Standardwährung
			else $out = $pdf->getFormatedForeignCurrency($value['rounded_curr_tprice'],$var_array['base']); // Fremdwährung
			if ($value['optional'] == 1) $out = '('.$out.')';
			$pdf->Cell(20,'',$out,0,0,'R');

		}
		
		
		// Positionstext (bei Lieferscheinen von 80 auf 160 Breite erhöhen)

		$intStrWidth = 80;
		if ($var_array['type'] == 'deliveries') $intStrWidth = 160;

		$pdf->setXY(40, $tmpY-2.5); 
		$pdf->MultiCell($intStrWidth, 5, $pdf->pdfText($value['vars_pos_txt']),0,'L');
		$endeY = $pdf->GetY();

		// Rechnung für Übertrag von Seite x
		
		if ($value['optional'] != 1){
			if ($var_array['base']['curr_id'] == 0) $pageCarrLineTotal += $value['rounded_tprice'];
			else $pageCarrLineTotal += $value['rounded_curr_tprice'];			
		}
		
		
	}
	
	$posCounter++;
	$colorCounter++;

	
	
}

// Zwischensumme, Rabatt, Steuer, Gesamtbertrag, etc bei Lieferscheinen nicht eindrucken

if ($var_array['type'] != 'deliveries'){

	// Zwischensumme / Nettobetrag

	if (($endeY+35) > $arrPDFConfig['limitToY']){ // Checken ob die nächsten Zeilen noch auf die Seite passen
		$pdf->AddPage();
		$endeY = $arrPDFConfig['restartAtY'];
	}

	$tmpY = $endeY+3;
	$pdf->SetLineWidth(0.6);
	$pdf->Line(15, $tmpY, 203, $tmpY);
	$tmpY = $endeY + 9;
	$pdf->setXY(15, $tmpY);
	$pdf->SetFont($arrPDFConfig['font'], 'B', $arrPDFConfig['font_size'] );
	$pdf->Cell(20, 0, $pdf->pdfText($arrPDFConfig['label_netamount']), 0, 0, 'L');
	$pdf->setXY(180, $tmpY);
	if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($var_array['summ']['rounded_net']); // Standardwährung
	else $out = $pdf->getFormatedForeignCurrency($var_array['summ']['rounded_curr_net'],$var_array['base']); // Fremdwährung
	$pdf->Cell(20, 0, $out, 0, 0, 'R');


	if ($var_array['summ']['rounded_discount'] > 0){

		$endeY = $pdf->GetY()+5;

		// enth. Rabatt
		if (($endeY) > $arrPDFConfig['limitToY']){ // Checken ob die nächste Zeile noch auf die Seite passt
			$pdf->AddPage();
			$endeY = $arrPDFConfig['restartAtY'];
		}

		$pdf->setXY(15, $endeY);
		$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size'] );
		$pdf->Cell(20, 0, $pdf->pdfText($arrPDFConfig['label_includeddiscount']), 0, 0, 'L');
		$pdf->setXY(180, $endeY);
		if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($var_array['summ']['rounded_discount']); // Standardwährung
		else $out = $pdf->getFormatedForeignCurrency($var_array['summ']['rounded_curr_discount'],$var_array['base']);	// Fremdwährung
		$pdf->Cell(20,0,$out,0,0,'R');

	}


	// zzgl. MwSt.

		if ($var_array['summ']['tax'] > 0 || $arrPDFConfig['showTax']){

			$endeY = $pdf->GetY()+5;

			if (($endeY) > $arrPDFConfig['limitToY']){ // Checken ob die nächste Zeile noch auf die Seite passt
				$pdf->AddPage();
				$endeY = $arrPDFConfig['restartAtY'];
			}

			// mehrwertsteuer aufschlüsseln

			$txtTax = '';
			if (is_array($var_array['summ']['taxes'])){
				if (count($var_array['summ']['taxes'])>1){
					$txtTax = ' (beinhaltet ';
					$booFirstRun=true;
					foreach ($var_array['summ']['taxes'] as $keyTax => $valueTax){
						if (false == $booFirstRun) $txtTax .= '; ';
						if ($var_array['base']['curr_id'] == 0)  $txtTax .= $pdf->getFormatedStandardCurrency($valueTax['rounded_std']).' aus '.gsFloat($keyTax).'%';
						else  $txtTax .= $pdf->getFormatedForeignCurrency($valueTax['rounded_curr'],$var_array['base']).' aus '.gsFloat($keyTax).'%';
						$booFirstRun=false;
					}
					$txtTax .= ')';
				}
			}

			$pdf->setXY(15, $endeY);
			$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size'] );
			$pdf->Cell(20, 0, $arrPDFConfig['label_plustax'].$txtTax, 0, 0, 'L');
			$pdf->setXY(180, $endeY);
			if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($var_array['summ']['tax']); // Standardwährung
			else $out = $pdf->getFormatedForeignCurrency($var_array['summ']['rounded_curr_tax'],$var_array['base']);	// Fremdwährung
			$pdf->Cell(20,0,$out,0,0,'R');



		}


	// Linie

		$tmpY = $pdf->GetY()+2;
		$pdf->SetLineWidth(0.25);
		$pdf->Line(15,$tmpY+2.5,203,$tmpY+2.5);


	// Gesamtbetrag

		$endeY = $pdf->GetY()+7;

		if (($endeY) > $arrPDFConfig['limitToY']){ // Checken ob die nächste Zeile noch auf die Seite passt
			$pdf->AddPage();
			$endeY = $arrPDFConfig['restartAtY'];
		}


		$pdf->setXY(15, $endeY);
		$pdf->SetFont($arrPDFConfig['font'], 'B', $arrPDFConfig['font_size'] );
		$strTotal = 'Gesamtbetrag';
		if ($var_array['type'] == 'refunds') $strTotal = $arrPDFConfig['label_refundtotal'];
		if ($var_array['type'] == 'invoices') $strTotal = $arrPDFConfig['label_invoicetotal'];
		if ($var_array['type'] == 'offers') $strTotal = $arrPDFConfig['label_offertotal'];
		$pdf->Cell(20,0,$pdf->pdfText($strTotal),0,0,'L');


		$pdf->setXY(180, $endeY);
		if ($var_array['base']['curr_id'] == 0) $out = $pdf->getFormatedStandardCurrency($var_array['summ']['gross']); // Standardwährung
		else $out = $pdf->getFormatedForeignCurrency($var_array['summ']['rounded_curr_gross'],$var_array['base']); // Fremdwährung
		$pdf->Cell(20,0,$out,0,0,'R');

	// Doppellinie

		$tmpY = $pdf->GetY();
		$pdf->SetLineWidth(0.25);
		$pdf->Line(15,$tmpY+2,203,$tmpY+2);
		$pdf->Line(15,$tmpY+2.5,203,$tmpY+2.5);

}


if ($var_array['type'] != 'invoices') $arrPDFConfig['bc_show'] = false;

// Rechnungsabschlusstext

	$intBezahlcodeX = 179;
	$intBezahlcodeY = $endeY+6+1.3;

if ($var_array['base']['vars_i_post_txt'] != ''){
	
	$endeY = $pdf->GetY()+6;

	#$postText = str_replace('&nbsp;',' ',$var_array['base']['vars_i_post_txt']); // bugfix für währung mit leerzeichen ausgeben ...

	if (true == $arrPDFConfig['bc_show']){
		$intRowCount = $pdf->WordWrap($pdf->pdfText($var_array['base']['vars_i_post_txt']), 155);	
	} else {
		$intRowCount = $pdf->WordWrap($pdf->pdfText($var_array['base']['vars_i_post_txt']), 170);	
	}
	
	if (($intRowCount*5)+$endeY > $arrPDFConfig['limitToY']){ // Checken ob der kommende Text noch auf die Seite passt
		$pdf->AddPage(); 
		$endeY=$arrPDFConfig['restartAtY'];
	} 
	
	$pdf->SetXY($arrPDFConfig['offsetX'],$endeY);
	$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size'] );
	
	if (true == $arrPDFConfig['bc_show']){	
		$pdf->MultiCell(155,5,$pdf->pdfText($var_array['base']['vars_i_post_txt']),0,'L');
	} else {
		$pdf->MultiCell(170,5,$pdf->pdfText($var_array['base']['vars_i_post_txt']),0,'L');	
	}
	
}	


// Bezahlcode 

if (isset($var_array['inDTAUS']) && $var_array['inDTAUS'] == 1) $arrPDFConfig['bc_show'] = false; // bezahlcode nicht einblenden wenn die rechnung per lastschrift eingezogen wird

if (true == $arrPDFConfig['bc_show']){
	$strName = rawurlencode($arrPDFConfig['bc_account_owner']);
	$strIBAN = rawurlencode($arrPDFConfig['bc_account_iban']);
	$strBIC = rawurlencode($arrPDFConfig['bc_account_bic']);
	$strAmount = rawurlencode(number_format($var_array['summ']['gross'],2,',',''));
	$strReason1 = rawurlencode('RNR '.$var_array['base']['invoiceno'].' - '.date('d.m.Y', strtotime($var_array['base']['created'])).' - '.'KNR '.$var_array['base']['customerno']);
	$strURL = 'bank://singlepaymentsepa?name='.$strName.'&iban='.$strIBAN.'&bic='.$strBIC.'&amount='.$strAmount.'&reason='.$strReason1.'&currency=EUR';
	$strQRFile = $strCacheDir.'/tmpqr.png';
	QRcode::png($strURL,$strQRFile,QR_ECLEVEL_M,6,0);
	$pdf->Image($strQRFile, $intBezahlcodeX, $intBezahlcodeY, 20);
	$pdf->SetXY($intBezahlcodeX-1,$intBezahlcodeY+19.5);
	$pdf->SetFont($arrPDFConfig['font'], 'I', $arrPDFConfig['font_size_tiny'] );
	$pdf->Cell(30,5,'bezahlcode.de',0);
	$pdf->SetFont($arrPDFConfig['font'], '', $arrPDFConfig['font_size'] );
	@unlink($strQRFile);
}


// Platzhalter für Gesamtzahlen ersetzen (werden nun manuell ersetzt - dadurch rechtsbündig)

// bis rev.812, fpdf funktion
# $pdf->AliasNbPages('{nb}');

// ab rev813, manuell durchlaufen
	$pdf->SetAutoPageBreak(false);
	$intLastPage = $pdf->PageNo();
	
	for ($i=1; $i<=$intLastPage; $i++){
		$pdf->page = $i;
		$pdf->SetXY(175,$pdf->intPageCountYPos);
		$pdf->Cell(20, 0, $i.'/'.$intLastPage, 0, 0, 'R' );
		$pdf->page = $intLastPage;
	}



// PDF Datei schreiben

if ($booBlanko) $pdf->Output($savetoblanko,'F');
else  $pdf->Output($saveto,'F');

// Reset für den nächsten Durchgang (blanko modus)

unset($tmpY, $endeY, $pageCarrLineTotal, $intLastPage, $txtTax, $booFirstRun, $intTotalPosCounter);