{if $section == 'invoices'}<h1>{'head_createNewInvoice'|l}</h1>{/if}
{if $section == 'offers'}<h1>{'head_createNewOffer'|l}</h1>{/if}
{if $section == 'refunds'}<h1>{'head_createNewRefund'|l}</h1>{/if}
{if $section == 'contracts'}<h1>{'head_createNewRecurrence'|l}</h1>{/if}
{if $section == 'sales'}<h1>Neuen Auftrag erstellen</h1>{/if}
{if $section == 'deliveries'}<h1>Neuen Lieferschein erstellen</h1>{/if}

{* Kundenverknüpfung *}

<h3>{'linkToCustomer'|l}</h3>

{include file="core/partCustomerForm.tpl" fieldId='customerid' caption=$loadCustomerName}

{if $section != 'contracts'}
	<p><small>{'linkRecordToCustomerFormFieldAutoFill'|l}</small></p>
{/if}

<br />

{* Stammdaten *}
{include file="core/partStandardForm.tpl" f=$content.newInvoice l='btn_save'|l}

{* hidden form fields for tmp standars values *}
<input type="hidden" id="tmp_i_pre_txt" value="">
<input type="hidden" id="tmp_i_post_txt" value="">
<input type="hidden" id="tmp_template" value="">
<input type="hidden" id="tmp_payable" value="">

<input type="hidden" id="tmp_i_zugferd" value="false">
<input type="hidden" id="tmp_i_zugferd_leitwegid" value="">


<script type="text/javascript">

	{literal}

		function suggCustomerPopulate(id){

			$.getJSON('{/literal}{$path}{literal}index.php?p=jajax&t=customerdata&c={/literal}{$section}{literal}&r='+id, function(data) {

				setSelectSearchCaption($('#customer'), data.companylabel);

				$("input[name='customer_company']").val(data.company);
				$("textarea[name='customer_address']").val(data.address);
				$("input[name='customer_zip']").val(data.zip);
				$("input[name='customer_city']").val(data.city);
				$("input[name='customer_country']").val(data.country);
				$("input[name='customer_title']").val(data.title);
				$("input[name='customer_firstname']").val(data.firstname);
				$("input[name='customer_lastname']").val(data.lastname);
				if (data.print_contactperson == 1) $("input[name='print_contactperson']").attr('checked', true);
				else $("input[name='print_contactperson']").attr('checked',false);
				$("textarea[name='i_pre_txt']").val(data.i_pre_txt);		
				$("textarea[name='i_post_txt']").val(data.i_post_txt);	

                var template_exists = $("select[name='template'] option")
                    .filter(function (i, o) { return o.value === data.template; })
                    .length > 0;

                if (template_exists)
                    $("select[name='template']").val(data.template);
				else
                    $("select[name='template']").val('tpl.def_invoice.php');


				$("select[name='currency']").val(data.currency);

				$("input[name='payable']").val(data.payable);
                $("select[name='i_zugferd']").val(data.i_zugferd);
                $("input[name='i_zugferd_leitwegid']").val(data.i_zugferd_leitwegid);
				$("input[name='customers_id']").val(id);

				updateSelectCaptions();

				$('textarea').each(function(){
					if($.trim($(this).val()).length > 0){
						$(this).trigger('autosize');
					}
				});

			});
		}
		
		function suggCustomerFlush(){ 

			$("input[name='customers_id']").val('');
			$("input[name='customer_company']").val('');
			$("textarea[name='customer_address']").val('');
			$("input[name='customer_zip']").val('');
			$("input[name='customer_city']").val('');
			$("input[name='customer_country']").val('');
			$("input[name='customer_title']").val('');
			$("input[name='customer_firstname']").val('');
			$("input[name='customer_lastname']").val('');
			$("input[name='print_contactperson']").attr('checked',true);

			// get back to defaults
			$("textarea[name='i_pre_txt']").val($("#tmp_i_pre_txt").val());		
			$("textarea[name='i_post_txt']").val($("#tmp_i_post_txt").val());
			$("select[name='template']").val($("#tmp_template").val());
			$("select[name='currency']").val(0);
			$("input[name='payable']").val($("#tmp_payable").val());
            $("select[name='i_zugferd']").val($("#tmp_i_zugferd").val());
            $("input[name='i_zugferd_leitwegid']").val($("#tmp_i_zugferd_leitwegid").val());

			updateSelectCaptions();

		}

		function updateSelectCaptions(){
			setSelectCaption($('input[data-ac="custort"]'), $("input[name='customer_city']").val());
			setSelectCaption($('input[data-ac="custland"]'), $("input[name='customer_country']").val());
		}
		
		$(document).ready(function(){
			
			$("#tmp_i_pre_txt").val($("textarea[name='i_pre_txt']").val());
			$("#tmp_i_post_txt").val($("textarea[name='i_post_txt']").val());
			$("#tmp_template").val($("select[name='template']").val());
			$("#tmp_payable").val($("input[name='payable']").val());

			{/literal}
			{if $loadCustomer}
				suggCustomerPopulate({$loadCustomer});
			{/if}
			{literal}
		});
	
	{/literal}

</script>