<html>

<head>
	<style>
		{literal}

			/*
			SCHRIFTART
			*/

			body {
				font-family: Arial;
			}

			/*
			SCHRIFTGRößEN
			*/

			.text-mini-sender {
				font-size:7pt;
			}

			.text-recipient {
				font-size:9pt;
			}

			.text-document-data {
				font-size:10pt;
			}

			.text-document-headline{
				font-size:14pt;
			}

			.text-content {
				font-size:10pt;
			}

			.text-pos-head {
				font-size:8pt;
			}

			.text-pos-bodyHeadline {
				font-size:10pt;
			}

			.text-pos-body {
				font-size:9pt;
			}

			.text-summ-body {
				font-size:9pt;
			}

			.text-footer {
				font-size:7pt;
			}

			/*
			POSITIONEN, ABSTÄNDE UND ABMESSUNGEN
			*/

			@page :first {
				header: html_HeaderFirstPage;
				footer: html_Footer;
				margin-top: 95mm;
				margin-bottom: 35mm;
				margin-left: 20mm;
				margin-right: 15mm;
			}

			@page {
				size: auto;
				header: html_Header;
				footer: html_Footer;
				margin-top: 70mm;
				margin-bottom: 35mm;
				margin-left: 20mm;
				margin-right: 15mm;
			}

			div.mini-sender {
				position: absolute;
				top: 50mm;
				left: 20mm;
				width: 85mm;
			}

			div.recipient {
				position: absolute;
				top: 55mm;
				left: 20mm;
				width: 85mm;
			}

			div.document-data {
				position: absolute;
				top: 50mm;
				left: 120mm;
				width: 75mm;
			}

			table.pos {
				width: 100%;
			}

			table.pos td {
				padding-top: 1.5mm;
				padding-bottom: 1.5mm;
			}

			table.footer {
				width: 100%;
			}

			table.summ {
				width: 100%;
			}

			/*
			SONSTIGES
			*/

			.text-right {
				text-align:right;
			}

		{/literal}
	</style>
</head>

<body>

<!-- Header auf Seite 1 -->
<htmlpageheader name="HeaderFirstPage">

	<!-- Logo -->
	{if $pdf_config.use_picture}
		<div style="position: absolute; left: {$pdf_config.picture_posX}mm; top: {$pdf_config.picture_posY}mm;">
			<img src="{$pdf_config.picture_file}"
			     style="width: {$pdf_config.picture_width}mm; margin: 0;" />
		</div>
	{/if}

	<!-- Absender -->
	<div class="mini-sender text-mini-sender" >
		{if $pdf_config.print_minisender}{$pdf_config.company_sender}{/if}
	</div>

	<!-- Empfänger -->
	<div class="recipient text-recipient">
		{$pdf_data.base.recipient_txt|nl2br}
	</div>

	<!-- Dokumenten-Infos -->
	<div class="document-data text-document-data text-right">

		<!-- Datum -->
		<strong>{$pdf_config.label_date}</strong> {$pdf_data.base.created|gsalesdateformat:"-"}<br>

		<!-- Kunden-Nr., wenn vorhanden -->
		{if $pdf_data.base.customerno != ''}
			<strong>{$pdf_config.label_customerno}</strong> {$pdf_data.base.customerno}<br>
		{/if}

		<!-- Code-Beispiel: Steuernummer, wenn mit Kunden verknüpft und vorhanden -->
		<!--
			{if $pdf_data.customerdata}
				{if $pdf_data.customerdata.taxnumber && $pdf_data.customerdata.taxnumber != ''}
					<strong>Steuernummer</strong> {$pdf_data.customerdata.taxnumber}<br>
				{/if}
			{/if}
		-->

		<!-- für Rechnungen -->
		{if $pdf_data.type == 'invoices'}

			<!-- Rechnungs-Nr. -->
			<strong>{$pdf_config.label_invoiceno}</strong> {$pdf_data.base.invoiceno}<br>

			<!-- Lieferdatum, wenn vorhanden -->
			{if $pdf_data.base.deliverydate != '0000-00-00 00:00:00'}
				<strong>{$pdf_config.label_deliverydate}</strong> {$pdf_data.base.deliverydate|gsalesdateformat:"-"}<br>
			{/if}

			<!-- Code-Beispiel: Ausgabe des Custom 1 Feldes mit eigener Beschriftung -->
			<!--
			{if $pdf_data.base.custom1 != ''}
				<strong>Titel</strong> {$pdf_data.base.custom1}<br>
			{/if}
			-->

		{/if}

		<!-- für Angebote -->
		{if $pdf_data.type == 'offers'}

			<!-- Angebots-Nr. -->
			<strong>{$pdf_config.label_offerno}</strong> {$pdf_data.base.invoiceno}<br>

		{/if}
		<!-- für Lieferscheine -->
		{if $pdf_data.type == 'deliveries'}

			<!-- Lieferschein-Nr. -->
			<strong>{$pdf_config.label_deliveryno}</strong> {$pdf_data.base.invoiceno}<br>

		{/if}
		<!-- für Auftragsbestätigungen -->
		{if $pdf_data.type == 'sales'}

			<!-- Auftrags-Nr. -->
			<strong>{$pdf_config.label_saleno}</strong> {$pdf_data.base.invoiceno}<br>

		{/if}
		<!-- für Gutschriften -->
		{if $pdf_data.type == 'refunds'}

			<!-- Gutschrift-Nr. -->
			<strong>{$pdf_config.label_refundno}</strong> {$pdf_data.base.invoiceno}<br>

		{/if}

		<!-- Seite / Anzahl-Seiten -->
		<strong>{$pdf_config.label_page}</strong> {literal}{PAGENO}/{nbpg}{/literal}

	</div>
</htmlpageheader>

<!-- Header auf allen anderen Seiten -->
<htmlpageheader name="Header">

	<!-- Logo -->
	{if $pdf_config.use_picture}
		<div style="position: absolute; left: {$pdf_config.picture_posX}mm; top: {$pdf_config.picture_posY}mm;">
			<img src="{$pdf_config.picture_file}"
			     style="width: {$pdf_config.picture_width}mm; margin: 0;" />
		</div>
	{/if}

	<div class="document-data text-document-data text-right">

		<!-- Datum -->
		<strong>{$pdf_config.label_date}</strong> {$pdf_data.base.created|gsalesdateformat:"-"}<br>

		<!-- Seite / Anzahl-Seiten -->
		<strong>{$pdf_config.label_page}</strong> {literal}{PAGENO}/{nbpg}{/literal}

	</div>

</htmlpageheader>

<!-- Footer für alle Seiten -->
<htmlpagefooter name="Footer">

	<!-- nur ausgeben wenn in konfiguration aktiviert wurde -->
	{if $pdf_config.print_footer_blocks}

		<!-- footer im GSALES 1 Stil -->
		{if $pdf_config.footer_1 != '' || $pdf_config.footer_2 != '' || $pdf_config.footer_3 != '' || $pdf_config.footer_4 != '' }

			<table class="footer text-footer">
					<tr>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_1 != ''}<strong>{$pdf_config.footer_head_1}</strong><br>{/if}
							{$pdf_config.footer_1|nl2br}
						</td>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_2 != ''}<strong>{$pdf_config.footer_head_2}</strong><br>{/if}
							{$pdf_config.footer_2|nl2br}
						</td>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_3 != ''}<strong>{$pdf_config.footer_head_3}</strong><br>{/if}
							{$pdf_config.footer_3|nl2br}
						</td>
						<td style="width:25%; vertical-align: top; text-align: left">
							{if $pdf_config.footer_head_4 != ''}<strong>{$pdf_config.footer_head_4}</strong><br>{/if}
							{$pdf_config.footer_4|nl2br}
						</td>
					</tr>
			</table>

		<!-- footer im GSALES 2 Stil -->
		{else}

			{if $pdf_config.arrFooter|@count gt 0}
				{math equation="floor(100/values)" assign=spaltenBreite values=$pdf_config.arrFooter|@count}
				<table class="footer text-footer">
					<tr>
					{foreach key=k item=footerItem from=$pdf_config.arrFooter}
							<td style="width:{$spaltenBreite}%; vertical-align: top; text-align: left">
								{if $footerItem.headline != ''}<strong>{$footerItem.headline}</strong><br>{/if}
								{$footerItem.txt|nl2br}
							</td>
					{/foreach}
					</tr>
				</table>
			{/if}

		{/if}

	{/if}

</htmlpagefooter>



<!-- Inhalt des Dokuments -->



<!-- Überschrift, ggf. Storno-Hinweis (Angebote ausnehmen...) -->
<div class="text-document-headline">
	{if $pdf_data.type == 'invoices'}<strong>{$pdf_config.label_invoice}</strong>{if $pdf_data.base.status_id == 2} ({$pdf_config.label_canceled}){/if}{/if}
	{if $pdf_data.type == 'offers'}<strong>{$pdf_config.label_offer}</strong>{/if}
	{if $pdf_data.type == 'refunds'}<strong>{$pdf_config.label_refund}</strong>{if $pdf_data.base.status_id == 2} ({$pdf_config.label_canceled}){/if}{/if}
	{if $pdf_data.type == 'sales'}<strong>{$pdf_config.label_sale}</strong>{if $pdf_data.base.status_id == 2} ({$pdf_config.label_canceled}){/if}{/if}
	{if $pdf_data.type == 'deliveries'}<strong>{$pdf_config.label_delivery}</strong>{if $pdf_data.base.status_id == 2} ({$pdf_config.label_canceled}){/if}{/if}
</div>

<!-- Storno-Text nur bei Rechnungen -->
{if $pdf_data.type == 'invoices' && $pdf_data.base.status_id == 2 && $pdf_data.base.storno_txt != ''}
	<div class="text-content" style="margin-top:1mm">{$pdf_data.base.storno_txt|nl2br}</div>
{/if}

<!-- Einleitungstext -->
{if $pdf_data.base.vars_i_pre_txt != ''}
	<div class="text-content" style="margin-top:5mm">{$pdf_data.base.vars_i_pre_txt|nl2br}</div>
{/if}

<!-- Positionen -->

<table class="pos" style="margin-top:5mm; border-collapse: collapse;" >

	<!-- Prüfen ob es Positionen mit Rabatt gibt -->
	{assign var=rabattiertePositionen value=0}
	{foreach key=k item=p from=$pdf_data.pos}
		{if $p.discount gt 0}{assign var=rabattiertePositionen value=1}{/if}
	{/foreach}

	<!-- Anzahl der Spalten festhalten/mitzählen -->
	{assign var=anzahlSpalten value=0}

	<thead>
		<tr>
			<!-- Spalte: Position, nur ausgeben wenn gewünscht -->
			{if $pdf_config.show_colpos}
				<th class="text-pos-head" nowrap="nowrap" style="text-align: left; padding-right:2mm">{$pdf_config.label_position}</th>
				{assign var=anzahlSpalten value=$anzahlSpalten+1}
			{/if}

			<!-- Spalte: Menge und Einheit -->
			<th class="text-pos-head" nowrap="nowrap" style="text-align: left; padding-right:2mm">{$pdf_config.label_amount}</th>
			{assign var=anzahlSpalten value=$anzahlSpalten+1}

			<!-- Spalte: Beschreibung -->
			<th class="text-pos-head" style="text-align: left; padding-right:2mm">{$pdf_config.label_description}</th>
			{assign var=anzahlSpalten value=$anzahlSpalten+1}

			<!-- Bei Lieferscheinen folgende Spalten nicht notwendig -->
			{if $pdf_data.type != 'deliveries'}

				<!-- Spalte: Rabatt -->
				{if $pdf_config.hideDiscount == false || $rabattiertePositionen != 0}
					<th class="text-pos-head" nowrap="nowrap" style="text-align: right; padding-right:2mm">{$pdf_config.label_discount}</th>
					{assign var=anzahlSpalten value=$anzahlSpalten+1}
				{/if}

				<!-- Spalte: Steuer -->
				{if $pdf_data.summ.tax > 0 || $pdf_config.showTax }
					<th class="text-pos-head" nowrap="nowrap" style="text-align: right; padding-right:2mm">{$pdf_config.label_tax}</th>
					{assign var=anzahlSpalten value=$anzahlSpalten+1}
				{/if}

				<!-- Spalte: Einzelpreis -->
				<th class="text-pos-head" nowrap="nowrap" style="text-align: right; padding-right:2mm">{$pdf_config.label_unitprice}</th>
				{assign var=anzahlSpalten value=$anzahlSpalten+1}

				<!-- Spalte: Gesamtpreis -->
				<th class="text-pos-head" nowrap="nowrap" style="text-align: right">{$pdf_config.label_amountprice}</th>
				{assign var=anzahlSpalten value=$anzahlSpalten+1}

			{/if}

		</tr>
	</thead>
	<tbody>

		{assign var=anzahlPositionen value=0}
		{assign var=alternierend value=0}
		{foreach key=k item=p from=$pdf_data.pos}

			{assign var=alternierend value=$alternierend+1}
			{if $p.headline == 1}{assign var=alternierend value=1}{/if}

			<tr style="{if $pdf_config.alternateBg && $p.headline != 1 && $alternierend%2}background-color:#EBEBEB;{/if} border:0; border: collapse;">

				<!-- Überschrift über komplett Breite ausgeben -->
				{if $p.headline == 1}

					<td class="text-pos-bodyHeadline" colspan="{$anzahlSpalten}" style="text-align: left; padding-top:4mm;">
						<strong>{$p.vars_pos_txt}</strong>
					</td>

				{else}

					<!-- Positionen-Counter hochzählen -->
					{assign var=anzahlPositionen value=$anzahlPositionen+1}

					<!-- Spalte: Positionen -->
					{if $pdf_config.show_colpos}
						<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: left; padding-right:2mm">
							{$anzahlPositionen}
						</td>
					{/if}

					<!-- Spalte: Menge und Einheit -->
					<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: left; padding-right:2mm">
						{$p.quantity} {$p.unit}
					</td>

					<!-- Spalte: Positions-Text -->
					<td class="text-pos-body" style="vertical-align: top; padding-right:2mm">
						{$p.vars_pos_txt|nl2br}
					</td>

					<!-- Bei Lieferscheinen folgende Spalten nicht notwendig -->
					{if $pdf_data.type != 'deliveries'}

						<!-- Spalte: Rabatt -->
						{if $pdf_config.hideDiscount == false || $rabattiertePositionen != 0}
							<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: right; padding-right:2mm">{if $p.discount > 0}{$p.discount|gsalesfloat}%{/if}</td>
						{/if}

						<!-- Spalte: Steuer -->
						{if $pdf_config.showTax || $pdf_data.summ.tax > 0}
							<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: right; padding-right:2mm">{$p.tax|gsalesfloat}%</td>
						{/if}

						<!-- Spalte: Einzelpreis -->
						<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: right; padding-right:2mm">
							{if $pdf_data.base.curr_id == 0}
								{if $p.optional == 1}({/if}{$p.price|gsalescurrency}{if $p.optional == 1}){/if}
							{else}
								{if $p.optional == 1}({/if}{$p.curr_price|gsalesforeigncurrency:$pdf_data.base.curr_symbol:false:$pdf_data.base.curr_spacing:$pdf_data.base.curr_before_number}{if $p.optional == 1}){/if}
							{/if}
						</td>

						<!-- Spalte: Gesamtpreis -->
						<td class="text-pos-body" nowrap="nowrap" style="vertical-align: top; text-align: right">
							{if $pdf_data.base.curr_id == 0}
								{if $p.optional == 1}({/if}{$p.tprice|gsalescurrency}{if $p.optional == 1}){/if}
							{else}
								{if $p.optional == 1}({/if}{$p.rounded_curr_tprice|gsalesforeigncurrency:$pdf_data.base.curr_symbol:false:$pdf_data.base.curr_spacing:$pdf_data.base.curr_before_number}{if $p.optional == 1}){/if}
							{/if}
						</td>

					{/if}

				{/if}

			</tr>
		{/foreach}
	</tbody>
</table>

<!-- Neue Tabelle damit die thead-Daten nicht wiederholt werden -->
<!-- Bei Lieferscheinen folgende Ausgaben nicht notwendig -->
{if $pdf_data.type != 'deliveries'}

	<table class="summ">

		<tr>
			<td colspan="2"></td>
		</tr>

		<tr>
			<td colspan="2" style="border-bottom: 1px solid #000000;"></td>
		</tr>

		<tr>
			<td colspan="2"></td>
		</tr>

		<!-- Zwischensumme/Nettobetrag -->
		<tr>
			<td class="text-summ-body" style="text-align: left">{$pdf_config.label_netamount}</td>
			<td class="text-summ-body" nowrap="nowrap" style="text-align: right">
				{if $pdf_data.base.curr_id == 0}
					{$pdf_data.summ.rounded_net|gsalescurrency}
				{else}
					{$pdf_data.summ.rounded_curr_net|gsalesforeigncurrency:$pdf_data.base.curr_symbol:false:$pdf_data.base.curr_spacing:$pdf_data.base.curr_before_number}
				{/if}
			</td>
		</tr>

		<!-- Rabatt -->
		{if $pdf_data.summ.rounded_discount > 0}
			<tr>
				<td class="text-summ-body" style="text-align: left">{$pdf_config.label_includeddiscount}</td>
				<td class="text-summ-body" nowrap="nowrap" style="text-align: right">
					{if $pdf_data.base.curr_id == 0}
						{$pdf_data.summ.rounded_discount|gsalescurrency}
					{else}
						{$pdf_data.summ.rounded_curr_discount|gsalesforeigncurrency:$pdf_data.base.curr_symbol:false:$pdf_data.base.curr_spacing:$pdf_data.base.curr_before_number}
					{/if}
				</td>
			</tr>
		{/if}

		<!-- Mehrwertsteuer, aufgeschlüsselt nach Steuersätzen -->
		{if $pdf_data.summ.tax > 0 || $pdf_config.showTax }
			{foreach key=k item=taxItem from=$pdf_data.summ.taxes}
				<tr>
					<td class="text-summ-body" style="text-align: left">{$pdf_config.label_plustax} {$k}%</td>
					<td class="text-summ-body" nowrap="nowrap" style="text-align: right">
						{if $pdf_data.base.curr_id == 0}
							{$taxItem.rounded_std|gsalescurrency}
						{else}
							{$taxItem.rounded_curr|gsalesforeigncurrency:$pdf_data.base.curr_symbol:false:$pdf_data.base.curr_spacing:$pdf_data.base.curr_before_number}
						{/if}
					</td>
				</tr>
			{/foreach}
		{/if}

		<!-- Gesamtbetrag -->
		<tr>
			<td class="text-summ-body" style="text-align: left;">
				<strong>
					{if $pdf_data.type == 'refunds'}
						{$pdf_config.label_refundtotaltotal}
					{elseif $pdf_data.type == 'invoices'}
						{$pdf_config.label_invoicetotal}
					{elseif $pdf_data.type == 'offers'}
						{$pdf_config.label_offertotal}
					{else}
						Gesamtbetrag
					{/if}
				</strong>
			</td>
			<td class="text-summ-body" nowrap="nowrap" style="text-align: right;">
				<strong>
					{if $pdf_data.base.curr_id == 0}
						{$pdf_data.summ.gross|gsalescurrency}
					{else}
						{$pdf_data.summ.rounded_curr_gross|gsalesforeigncurrency:$pdf_data.base.curr_symbol:false:$pdf_data.base.curr_spacing:$pdf_data.base.curr_before_number}
					{/if}
				</strong>
			</td>
		</tr>

	</table>

{/if}

<!-- Abschlusstext -->
{if $pdf_data.base.vars_i_post_txt != ''}
	<div class="text-content"  style="margin-top:5mm">{$pdf_data.base.vars_i_post_txt|nl2br}</div>
{/if}

</body>
</html>